Bug 444096 - gitweb internal links broken
gitweb internal links broken
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 18:45 EDT by David Woodhouse
Modified: 2013-01-10 05:23 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.6.0.6-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 11:49:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gitweb.conf (741 bytes, text/plain)
2008-04-24 18:45 EDT, David Woodhouse
no flags Details

  None (edit)
Description David Woodhouse 2008-04-24 18:45:38 EDT
I let someone show me how to set up gitweb to use URLS like
http://git.infradead.org/mtd-2.6.git instead of
http://git.infradead.org/?p=mtd-2.6.git.

But it doesn't seem to work correctly. At
http://git.infradead.org/users/segher/buildall.git?a=blob;f=build;h=ec7a25f648757f54ebe74297fdb750d24219c653;hb=HEAD
for example see the 'raw' link, which links to:
http://git.infradead.org/ARRAY(0x10094b64)?a=blob_plain;f=build;h=HEAD;hb=HEAD
Comment 1 David Woodhouse 2008-04-24 18:45:38 EDT
Created attachment 303706 [details]
gitweb.conf
Comment 2 Bug Zapper 2008-05-14 06:07:56 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Todd Zullinger 2009-01-11 22:37:18 EST
Is this still present in current gitweb?  I tried to reproduce with 1.6.1 and couldn't.  I could just be doing something wrong, but setting:

$feature{'pathinfo'}{'default'} = [1];

in /etc/gitweb.conf _seemed_ to work and produce cleaner URLs.
Comment 4 David Woodhouse 2009-01-12 08:25:55 EST
Having updated the machine to Fedora 9's gitweb-1.5.6.6-1.fc9, you can still see the problem at the above URL. Should I try git 1.6.1?

The problem only occurs on _some_ URLs, as you can see on the above site.
Comment 5 David Woodhouse 2009-01-12 08:28:07 EST
Updating to F-10's git-1.6.0.3 seems to have fixed it, but the F-9 packages are still broken.
Comment 6 Fedora Update System 2009-03-02 15:26:02 EST
git-1.6.0.6-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/git-1.6.0.6-3.fc9
Comment 7 Fedora Update System 2009-03-04 11:26:59 EST
git-1.6.0.6-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update git'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2329
Comment 8 Fedora Update System 2009-03-23 11:49:03 EDT
git-1.6.0.6-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.